import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, AlertController, ToastController } from 'ionic-angular';

import {Http, Response} from '@angular/http';

import { AppService } from '../../../service/appHttpService';
import { JoinDetailPage } from '../../joinDetail/joinDetail';
import {BatchDetailPage} from "../batch-detail/batch-detail";

@IonicPage()
@Component({
  selector: 'page-activityDetail',
  templateUrl: 'activityDetail.html',
})
export class ActivityDetailPage {

  batches: object[];
  activity = {
      batchList:[]
  };
    batchList = [];
  //页面报名保存展示
  isCover: boolean = false;
  //活动详情显示
  introduce: string;



  constructor(public navCtrl: NavController,
    public navParams: NavParams,
    public alertCtrl: AlertController,
    public http: Http,
    public appService: AppService, public toast: ToastController) {
    // console.log(this.navParams.get("activityId"));
    this.subIntroduce("2018年市委组织部体检活动将在3月5号在上海市人民医院进行，共分八批，欢迎大家根据个人安排进行报名工作。2018年市委组织部体检活动将在3月5号在上海市人民医院进行，共分八批，欢迎大家根据个人安排进行报名工作。");

    let id = this.navParams.get('id');
    this.findMyOrderByOrderId(id);
  }

    findMyOrderByOrderId(id){
        this.appService.ObserverHttpGet("/wisdomgroup/modules/activity/findAllActivityForAppWithXQ", {"id":id})
            .subscribe((res :Response) => {
                    this.activity = res.json();
                    console.log(this.activity);
                    this.batchList = this.activity.batchList;
                }, error => {
                    this.appService.alert('网络异常！');
                }
            );
        // let order = this.appService.ObserverHttpPost("/wisdomgroup/modules/order/findMyOrderByOrderId",{"orderid":orderid})
        //     .subscribe((res: Response) => {
        //             let data = res.json();
        //             console.log(data);
        //         }, error => {
        //             this.appService.alert('网络异常！');
        //         }
        //     );
    }


    goJoinDetail(){
    this.navCtrl.push("JoinDetailPage");
  }

    goBatchDetail(){
      this.navCtrl.push('BatchDetailPage');
    }

    //活动介绍限定65个字符串，多余以省略号代替
    subIntroduce(str: string) {
      if (!str) this.introduce = '';
      if (str.length <= 65) this.introduce = str;
      if (str.length > 65) this.introduce = str.substr(0, 65) + "...";
    }
  
    //具体介绍
    hidden() {
      this.isCover = false;
    }
    show() {
      this.isCover = true;
    }

}
